BdbService.cursorCompare_args (Oracle - Berkeley DB Client-Server API)
Date: 2018-05-29

com.sleepycat.thrift

## Class BdbService.cursorCompare_args

- java.lang.Object
- - com.sleepycat.thrift.BdbService.cursorCompare_args

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<BdbService.cursorCompare_args>, org.apache.thrift.TBase<BdbService.cursorCompare_args,BdbService.cursorCompare_args._Fields>, org.apache.thrift.TSerializable
  Enclosing class:
    BdbService

      public static class BdbService.cursorCompare_args
      extends java.lang.Object
      implements org.apache.thrift.TBase<BdbService.cursorCompare_args,BdbService.cursorCompare_args._Fields>, java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<BdbService.cursorCompare_args>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `BdbService.cursorCompare_args._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `TCursor` | `cursor1`
    `TCursor` | `cursor2`
    `static java.util.Map<BdbService.cursorCompare_args._Fields,org.apache.thrift.meta_data.FieldMetaData>` | `metaDataMap`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `cursorCompare_args()`
    `cursorCompare_args(BdbService.cursorCompare_args other)` Performs a deep copy on other.
    `cursorCompare_args(TCursor cursor1, TCursor cursor2)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `int` | `compareTo(BdbService.cursorCompare_args other)`
    `BdbService.cursorCompare_args` | `deepCopy()`
    `boolean` | `equals(BdbService.cursorCompare_args that)`
    `boolean` | `equals(java.lang.Object that)`
    `BdbService.cursorCompare_args._Fields` | `fieldForId(int fieldId)`
    `TCursor` | `getCursor1()`
    `TCursor` | `getCursor2()`
    `java.lang.Object` | `getFieldValue(BdbService.cursorCompare_args._Fields field)`
    `int` | `hashCode()`
    `boolean` | `isSet(BdbService.cursorCompare_args._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
    `boolean` | `isSetCursor1()` Returns true if field cursor1 is set (has been assigned a value) and false otherwise
    `boolean` | `isSetCursor2()` Returns true if field cursor2 is set (has been assigned a value) and false otherwise
    `void` | `read(org.apache.thrift.protocol.TProtocol iprot)`
    `BdbService.cursorCompare_args` | `setCursor1(TCursor cursor1)`
    `void` | `setCursor1IsSet(boolean value)`
    `BdbService.cursorCompare_args` | `setCursor2(TCursor cursor2)`
    `void` | `setCursor2IsSet(boolean value)`
    `void` | `setFieldValue(BdbService.cursorCompare_args._Fields field, java.lang.Object value)`
    `java.lang.String` | `toString()`
    `void` | `unsetCursor1()`
    `void` | `unsetCursor2()`
    `void` | `validate()`
    `void` | `write(org.apache.thrift.protocol.TProtocol oprot)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### cursor1

          public TCursor cursor1

    - #### cursor2

          public TCursor cursor2

    - #### metaDataMap

          public static final java.util.Map<BdbService.cursorCompare_args._Fields,org.apache.thrift.meta_data.FieldMetaData> metaDataMap

  - ### Constructor Detail

    - #### cursorCompare_args

          public cursorCompare_args()

    - #### cursorCompare_args

          public cursorCompare_args(TCursor cursor1,
                                    TCursor cursor2)

    - #### cursorCompare_args

          public cursorCompare_args(BdbService.cursorCompare_args other)

      Performs a deep copy on other.

  - ### Method Detail

    - #### deepCopy

          public BdbService.cursorCompare_args deepCopy()

      Specified by:
        `deepCopy` in interface `org.apache.thrift.TBase<BdbService.cursorCompare_args,BdbService.cursorCompare_args._Fields>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `org.apache.thrift.TBase<BdbService.cursorCompare_args,BdbService.cursorCompare_args._Fields>`

    - #### getCursor1

          public TCursor getCursor1()

    - #### setCursor1

          public BdbService.cursorCompare_args setCursor1(TCursor cursor1)

    - #### unsetCursor1

          public void unsetCursor1()

    - #### isSetCursor1

          public boolean isSetCursor1()

      Returns true if field cursor1 is set (has been assigned a value) and false otherwise

    - #### setCursor1IsSet

          public void setCursor1IsSet(boolean value)

    - #### getCursor2

          public TCursor getCursor2()

    - #### setCursor2

          public BdbService.cursorCompare_args setCursor2(TCursor cursor2)

    - #### unsetCursor2

          public void unsetCursor2()

    - #### isSetCursor2

          public boolean isSetCursor2()

      Returns true if field cursor2 is set (has been assigned a value) and false otherwise

    - #### setCursor2IsSet

          public void setCursor2IsSet(boolean value)

    - #### setFieldValue

          public void setFieldValue(BdbService.cursorCompare_args._Fields field,
                                    java.lang.Object value)

      Specified by:
        `setFieldValue` in interface `org.apache.thrift.TBase<BdbService.cursorCompare_args,BdbService.cursorCompare_args._Fields>`

    - #### getFieldValue

          public java.lang.Object getFieldValue(BdbService.cursorCompare_args._Fields field)

      Specified by:
        `getFieldValue` in interface `org.apache.thrift.TBase<BdbService.cursorCompare_args,BdbService.cursorCompare_args._Fields>`

    - #### isSet

          public boolean isSet(BdbService.cursorCompare_args._Fields field)

      Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
      Specified by:
        `isSet` in interface `org.apache.thrift.TBase<BdbService.cursorCompare_args,BdbService.cursorCompare_args._Fields>`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### equals

          public boolean equals(BdbService.cursorCompare_args that)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### compareTo

          public int compareTo(BdbService.cursorCompare_args other)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<BdbService.cursorCompare_args>`

    - #### fieldForId

          public BdbService.cursorCompare_args._Fields fieldForId(int fieldId)

      Specified by:
        `fieldForId` in interface `org.apache.thrift.TBase<BdbService.cursorCompare_args,BdbService.cursorCompare_args._Fields>`

    - #### read

          public void read(org.apache.thrift.protocol.TProtocol iprot)
                    throws org.apache.thrift.TException

      Specified by:
        `read` in interface `org.apache.thrift.TSerializable`
      Throws:
        `org.apache.thrift.TException`

    - #### write

          public void write(org.apache.thrift.protocol.TProtocol oprot)
                     throws org.apache.thrift.TException

      Specified by:
        `write` in interface `org.apache.thrift.TSerializable`
      Throws:
        `org.apache.thrift.TException`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### validate

          public void validate()
                        throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

Copyright (c) 2016, 2018 Oracle and/or its affiliates. All rights reserved.